Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229250 - Review Request: koji - Build system tools
Summary: Review Request: koji - Build system tools
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-19 19:15 UTC by Jesse Keating
Modified: 2013-01-10 02:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-05 14:59:22 UTC
mtasaka: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Jesse Keating 2007-02-19 19:15:51 UTC
Spec URL: http://people.redhat.com/jkeating/extras/koji/koji.spec
SRPM URL: http://people.redhat.com/jkeating/extras/koji/koji-0.9.5-5.src.rpm
Description: Koji is a system for building and tracking RPMS.

Current rpmlint output is:

W: koji incoherent-version-in-changelog 0.9.5-1 0.9.5-5.fc7
W: koji strange-permission koji.spec 0600
W: koji-builder no-documentation
E: koji-builder non-standard-uid /etc/mock/koji kojibuilder
E: koji-builder non-standard-gid /etc/mock/koji kojibuilder
W: koji-builder service-default-enabled /etc/rc.d/init.d/kojid
W: koji-builder incoherent-init-script-name kojid
W: koji-hub no-documentation
W: koji-utils no-documentation
W: koji-utils service-default-enabled /etc/rc.d/init.d/kojira
W: koji-utils incoherent-init-script-name kojira
W: koji-web no-documentation

which I think is all waveable.

Comment 1 Dennis Gilmore 2007-02-19 19:21:57 UTC
(In reply to comment #0)
> Spec URL: http://people.redhat.com/jkeating/extras/koji/koji.spec
> SRPM URL: http://people.redhat.com/jkeating/extras/koji/koji-0.9.5-5.src.rpm
> Description: Koji is a system for building and tracking RPMS.
> 
> Current rpmlint output is:
> 
> W: koji incoherent-version-in-changelog 0.9.5-1 0.9.5-5.fc7
dont put the dist value in the changelog 
> W: koji strange-permission koji.spec 0600
make it 664 
> W: koji-builder no-documentation
> E: koji-builder non-standard-uid /etc/mock/koji kojibuilder
> E: koji-builder non-standard-gid /etc/mock/koji kojibuilder
> W: koji-builder service-default-enabled /etc/rc.d/init.d/kojid
cant be on by default
> W: koji-builder incoherent-init-script-name kojid
easy fix 
> W: koji-hub no-documentation
> W: koji-utils no-documentation
> W: koji-utils service-default-enabled /etc/rc.d/init.d/kojira
cant be on by default
> W: koji-utils incoherent-init-script-name kojira
again easy fix
> W: koji-web no-documentation
> 
> which I think is all waveable.

not quite

Ill give it a closer look soon 

Comment 2 Jason Tibbitts 2007-02-19 19:26:02 UTC
Drat, too slow.  Pasting this in anyway:

Pretty much.  It's important that the changelog entries actually match up; the
first rpmlint warning is complaining that the current package is 0.9.5-5 but the
last changelog entry was for 0.9.5-1.

The rest seem OK, although it is odd that the specfile is 600 in the srpm.

One thing I saw after a few seconds of seeing the spec is
   %define debug_package %{nil}
This shouldn't be required for a noarch package, but rpm has surprised is all in
the past.

Comment 3 Jesse Keating 2007-02-19 20:24:09 UTC
Fixed up some things

SRPM URL: http://people.redhat.com/jkeating/extras/koji/koji-0.9.5-6.src.rpm

As per IRC convo, service by default isn't explicitly bad.  Not encouraged but
in this case its probably OK.  Not something that should block a review.

specfile permission was caused by Makefile making the srpm from a tarball, seems
to have messed with the permission somehow.  I made the Makefile make srpm
directly from .spec and now its fine.  *shrug*

Removed debuginfo line.

kojira is the name of the executable, as well as the init script, this I thought
was OK.

Comment 4 Mamoru TASAKA 2007-02-20 03:06:41 UTC
I don't know about www package, however, according to
the section "Web Applications" of
http://fedoraproject.org/wiki/Packaging/Guidelines :
----------------------------------------------------
Web applications packaged in Fedora should put their content into
/usr/share/%{name} and NOT into /var/www/. This is done because:

    *

      /var is supposed to contain variable data files and logs. /usr/share is
much more appropriate for this.
    *

      Many users already have content in /var/www, and we do not want any Fedora
package to step on top of that.
    *

      /var/www is no longer specified by the Filesystem Hierarchy Standard

-----------------------------------------------------------

Comment 5 Mamoru TASAKA 2007-02-20 06:17:47 UTC
Moreover:
This package tries to install some text files (such as chtml
files), image files, etc.. and keeping timestmaps on 
these files are usually recommended ("Timestamps" of
http://fedoraproject.org/wiki/Packaging/Guidelines)

Changing "install" to "install -p" in Makefile or something
usually resolves this issue.

Comment 6 Mamoru TASAKA 2007-02-20 06:41:47 UTC
koji package seems to require rpm-python 
(from /usr/lib/python2.5/site-packages/koji/__init__.py:
 says "import rpm"), however, the requirement is missing.

----------------------------------------
[tasaka1@localhost noarch]$ rpm -qp --requires koji-0.9.5-6.fc6_LC.noarch.rpm 
/usr/bin/python  
config(koji) = 0.9.5-6.fc6_LC
python(abi) = 2.5
python-krbV >= 1.0.13
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
----------------------------------------

Comment 7 Jesse Keating 2007-02-20 15:18:55 UTC
http://people.redhat.com/jkeating/extras/koji/koji-0.9.5-7.src.rpm

- Move web files from /var/www to /usr/share
- Use -p in install calls
- Add rpm-python to requires for koji

(note, this isn't pushed to master git yet, I need to review these changes with
the other developers before pushing)

Comment 8 Mamoru TASAKA 2007-02-20 16:30:13 UTC
Well,

* License
  * www/static/js/jsolait/lib/iter.js
    - says this is GPL
* Documentation
  * Add "Authors COPYING LGPL" to main package.
    Especially, including copyright document is rather
    mandatory (however copyright must be clarified)

* Source
  * Where is the source? BTW during -6 and -7, source tarball
    seem to be silently changed without their version number
    unchanged... 

Comment 9 Jesse Keating 2007-02-20 21:48:40 UTC
(In reply to comment #8)
> Well,
> 
> * License
>   * www/static/js/jsolait/lib/iter.js
>     - says this is GPL

It should be perfectly acceptable to use GPL code within an LGPL package.  As
stated, all things are LGPL unless otherwise indicated.

> * Documentation
>   * Add "Authors COPYING LGPL" to main package.
>     Especially, including copyright document is rather
>     mandatory (however copyright must be clarified)

Whoops!  I forgot to add those to the package when I added them to the source
repo.  My bad.

> 
> * Source
>   * Where is the source? BTW during -6 and -7, source tarball
>     seem to be silently changed without their version number
>     unchanged... 

Currently the source is provided in the srpm.  This is the current preferred
method of distribution, given that we are the upstream.  I haven't versioned the
source just yet, I need to work with the other maintainers on how to properly
handle that, so yeah, the source changed a little bit.


http://people.redhat.com/jkeating/extras/koji/koji-0.9.5-8.src.rpm

Comment 10 Mamoru TASAKA 2007-02-21 00:15:00 UTC
Well, my recognition is that if both LGPL and GPL codes are
found, the whole package must be licensed under GPL, isn't it
right?

Comment 11 Jesse Keating 2007-02-21 00:50:31 UTC
The GPL file isn't linked to any LGPL file.  It is just used by the web stuff. 
Also, the jsolait package has a copying.txt file that is LGPL, not sure why one
of their files has a GPL header.  Looking upstream it seems as if this file is
no longer there, we may update to a newer version soon, but can't immediately.

Comment 12 Mamoru TASAKA 2007-02-21 00:56:46 UTC
Okay, now there is nowthing to block this request.

-----------------------------------------------
  This package (koji) is APPROVED by me.
-----------------------------------------------

Comment 13 Jesse Keating 2007-02-21 21:46:19 UTC
New Package CVS Request
=======================
Package Name: koji
Short Description: Build system tools
Owners: jkeating@redhat.com,mikem@redhat.com
Branches: FC-6
InitialCC: 

Comment 14 David Lutterkort 2007-02-22 17:56:15 UTC
One small nit (and I know I am late to the party): koji-builder creates a user
with a homedir of /builddir ... shouldn't that go into /var/lib/ according to
the FHS ?

Comment 15 Mamoru TASAKA 2007-03-03 10:59:45 UTC
Well, what is the status of this bug?

Comment 16 Jesse Keating 2007-03-03 13:03:55 UTC
The review is complete, however I'm waiting for some functionality to finish in
the software before I build packages for it.  As of now the software won't work
so there is little point in packaging it, I was just doing my part in the grand
scheme of getting Koji up and running.

Comment 17 Mamoru TASAKA 2007-04-05 08:01:38 UTC
As now koji-1.0-1 is in public, can you close this bug
as NEXTRELEASE?

Comment 18 Jesse Keating 2007-04-05 14:59:22 UTC
Whoops, forgot about this.

Comment 19 Jesse Keating 2007-05-03 22:37:58 UTC
Package Change Request
======================
Package Name: koji
New Branches: FC-5 EL-5


Note You need to log in before you can comment on or make changes to this bug.